# Class CertPathTrustManagerParameters

java.lang.Object
javax.net.ssl.CertPathTrustManagerParameters

All Implemented Interfaces:
  `ManagerFactoryParameters`

public class CertPathTrustManagerParameters extends Object implements ManagerFactoryParameters
A wrapper for CertPathParameters. This class is used to pass validation settings to CertPath based `TrustManager`s using the `TrustManagerFactory.init()` method.

Instances of this class are immutable.

Since:
  1.5
See Also:
  - `X509TrustManager`
  - `TrustManagerFactory`
  - `CertPathParameters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertPathTrustManagerParameters(CertPathParameters parameters)`
  Construct new CertPathTrustManagerParameters from the specified parameters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CertPathParameters`
  `getParameters()`
  Return a clone of the CertPathParameters encapsulated by this class.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### CertPathTrustManagerParameters

    public CertPathTrustManagerParameters(CertPathParameters parameters)
    Construct new CertPathTrustManagerParameters from the specified parameters. The parameters are cloned to protect against subsequent modification.
    Parameters:
      `parameters` - the CertPathParameters to be used
    Throws:
      `NullPointerException` - if parameters is null

- ## Method Details

  - ### getParameters

    public CertPathParameters getParameters()
    Return a clone of the CertPathParameters encapsulated by this class.
    Returns:
      a clone of the CertPathParameters encapsulated by this class.